package markov;

import java.io.Serializable;
import java.util.Set;

public interface Lookup extends Serializable {
    int getDistinctTokens();

    void add(Token t);

    Decission forRandom(double random);

    Decission forId(int id);

    Decission average();

    Set<Token> allPossible();

    void finishCollection();

    int getTotalCounts();
}
